//**********************************************************************//
//									//
//	Emerald.shader for Q3Radiant					//
//	by Sock - 22nd August 2000 : Edited For Use by KittyWumpus*	//
//									//
//**********************************************************************//
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// Very liberal edit of skybox by KittyWumpus* for this map.

textures/ut4_bouncycastle/bc1_kingsky3
{
	qer_editorimage env/ut4_bouncycastle/emerald_ft.tga
	skyparms env/ut4_bouncycastle/emerald 1024 -

	q3map_sunEXT 0.9 0.9 0.9 1000 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 500 3	
	q3map_globaltexture
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== Holopanels ===---

textures/ut4_bouncycastle/bc1_hologo2b
{
	qer_editorimage textures/ut4_bouncycastle/fsk_holosign2/fsk_holosign2b.jpg
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		map textures/ut4_bouncycastle/fsk_holosign2/fsk_holosign2b.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_bouncycastle/bc1_hologo2r
{
	qer_editorimage textures/ut4_bouncycastle/fsk_holosign2/fsk_holosign2r.jpg
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none
//	deformVertexes autosprite2

	{
		map textures/ut4_bouncycastle/fsk_holosign2/fsk_holosign2r.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== NoDamage Textures ===---

textures/ut4_bouncycastle/bicol_wb:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/bicol_wg:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/bicol_wr:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/kw_rope4:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomstem1:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtop_b:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtop_r:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtop_gd:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtop_gf:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtopL_b:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtopL_g:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtopL_r:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtopL_wb:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtopL_wbl:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtopL_wg:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/mushroomtopL_wr:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/pr_veg035:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/solid_blue16:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/solid_green16:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/solid_orange16:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/solid_pink16:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/solid_purple16:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/solid_red16:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/solid_white16:q3map
{
	surfaceparm nodamage
}

textures/ut4_bouncycastle/solid_yellow16:q3map
{
	surfaceparm nodamage
}

// ---=== NonSolid ===---

textures/ut4_bouncycastle/kw_star1:q3map
{
	surfaceparm nodamage
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	q3map_surfacelight 400
}

// ---=== Ladderclip ===---

textures/ut4_bouncycastle/bc1_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Glass ===---

textures/ut4_bouncycastle/bc1_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_bouncycastle/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== Arrows ===---

textures/ut4_bouncycastle/bc1_arrow3
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_bouncycastle/arrow_ograd2.jpg
	{
		animMap 7 textures/ut4_bouncycastle/arrow_grad1.jpg textures/ut4_bouncycastle/arrow_ograd4.jpg textures/ut4_bouncycastle/arrow_ograd3.jpg textures/ut4_bouncycastle/arrow_ograd2.jpg textures/ut4_bouncycastle/arrow_ograd3.jpg textures/ut4_bouncycastle/arrow_ograd4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}